/*----------------------------------------------------------

AOCE Post Office Protocol (3)
Personal Gateway

written by Steven Falkenburg-- MacDTS
1991-1993 Apple Computer, Inc.

----------------------------------------------------------*/

#pragma once

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __MYTYPES__
#include "mytypes.h"
#endif

#define	kOCESetupRecName	((RStringPtr)"\0\0\0\21\0OCE Setup Record")

OSErr InitGatewayStuff(void);
void CloseGatewayStuff(void);
OSErr InitAOCEStuff(void);
void CloseAOCEStuff(void);
Boolean HasAOCE(void);

OSErr ActivateSlot(SlotSpec *slotSpec);

OSErr CheckSlotRefresh(void);
void MarkSlotInformationDirty(void);
OSErr ReadGatewaySlotInformation(void);
OSErr GetMailServiceInfo(CreationID *cid,SlotSpecPtr curSlot);
OSErr GetParseAttributes(CreationID *cid,short attrType,ForEachAttrValue callBack,long clientData);
OSErr GetSingleValueAttribute(CreationID *cid,AttributeType *attribType,void *attrBuffer,Size attrBufferSize);
pascal Boolean AddSlotCallback(long clientData, const Attribute *attribute);
pascal Boolean SearchCallback(long clientData, const Attribute *attribute);
OSErr AddAttribute(CreationID *cid,short dsRef,AttributeType *attribType,void *data,unsigned long dataLength,AttributeTag tag);
pascal Boolean SingleAttrValueCallback(long clientData, const Attribute *attribute);
pascal Boolean RecordIDCallback(long clientData, const RecordID *recordID);
OSErr GetSingleRecord(short dsRef,RStringPtr recordType,RStringPtr recordName,CreationID *returnedCID);
pascal Boolean GatewayDirEnumCallback(long clientData, const DirEnumSpec *enumSpec);
OSErr FindAttributeValueInRecord(CreationID *cid,AttributeTypePtr attributeType,Ptr dataToMatch,
		unsigned long dataToMatchSize,CreationID *foundCID,AttributeCreationID *attrCID);
OSErr DeleteSingleAttributeValue(CreationID *recordID,AttributeTypePtr attrType,
		AttributeCreationID *attrCID);		

void MakePersonalRecordID(RecordID *recordID,CreationID *creationID);
SlotSpec *GetSlotSpecFromID(short slotID);
void MacToMailTime(unsigned long macTime,MailTime *mailTime);
void r2cString (RString *rStr,char *cStr);
OSErr OCECopyFitRString (RString *str1, RString *str2, unsigned short str2Length);

pascal void MSAMCompletion(MSAMParam *gwp);
