#ifndef __OCE__
#include <OCE.h>
#endif

#ifndef __OCESTANDARDMAIL__
#include <OCEStandardMail.h>
#endif

Boolean HasStandardMail(void);
OSErr InitStandardMail(void);

void CommAddRemoveMailer(WindowPtr window);
void CommAddMailer(WindowPtr window);
void CommRemoveMailer(WindowPtr window);
void CommSendLetter(WindowPtr window);
OSErr LoSaveLetter(WindowPtr window,WInfoPtr infoPtr,SMPSaveType saveType);
void CommReply(WindowPtr window,Boolean replyToAll);
void CommForward(WindowPtr window);
void CommAdjacentLetter(void);
void CommTagLetter(void);

OSErr ProcessPowerTalkEvent(WindowPtr window,WInfoPtr infoPtr,const EventRecord *ev,SMPMailerResult *mailResult);
Boolean ProcessPowerTalkWhatHappened(WindowPtr window,WInfoPtr infoPtr,SMPMailerResult mailResult);
void MakeMailerFromDrawing(WindowPtr window);
void MakeDrawingFromMailer(WindowPtr window);
void FixMailerMenus(WindowPtr window,WInfoPtr infoPtr);

OSErr AddLetterBlocks(WindowPtr window,WInfoPtr infoPtr,SMPSendFormat *sendFormat,
						StringPtr nativeFormatName);

OSErr AddNativeContent(WindowPtr window,WInfoPtr infoPtr,StringPtr nativeFormatName);
OSErr AddAppleMailContent(WindowPtr window,WInfoPtr infoPtr);
OSErr AddLetterImage(WindowPtr window,WInfoPtr infoPtr);

PicHandle DrawImageToPicture(WindowPtr window,WInfoPtr infoPtr);

void HandleExpand(WindowPtr window,WInfoPtr infoPtr);
void HandleContract(WindowPtr window,WInfoPtr infoPtr);

void MoveControlTop(WindowPtr window,short newPos);

Boolean CanCloseLetter(WindowPtr window);

Boolean SameLetter(const LetterDescriptor *one,const LetterDescriptor *two);
