/*
 * Demo.h
 * Copyright  1993 Apple Computer Inc. All Rights Reserved.
 *
 * Definitions for the Digital Signature Demo.
 */
#define _H_Demo

#define cmdOpenSignedFile			2001
#define cmdCloseAndSignFile			2002
#define cmdSignedObjectDemo			2003
#define cmdDebugTrapOnError			9999
#define MENU_ObjectDemo				2048
#define DLOG_DemoSignedObject		2048
#define DLOG_IconSignatureValid		2048


/*
 * These are the values for the signed
 * object checkbox and radio button.
 */
#define kAwesomeMask		0x0001
#define kEtherealMask		0x0002
#define kExquisiteMask		0x0004
#define kFabulousMask		0x0008
#define kFantasticMask		0x0010
#define kStupendousMask		0x0020
#define kFlauntRadioValue	1
#define kFloutRadioValue	2
/*
 * The buttons in the Signed Object dialog are
 * numbered starting at 10001.
 */
#define kSignedDialogCmdBase	10000
#define kSignatureFileType		'DSIG'