/*-------------------------------------------------------------------------------------
 *
 * Simple Sample AYS Application Framework
 *
 * 1991 Apple Computer
 *
 -------------------------------------------------------------------------------------*/
/*
 * commands.c -- called in response to menu commands or appleevents
 *
 * change history:
 *
 * SJF		11/6/91		1.0d1		initial coding
 *
 */

#ifndef __QUEUES__
#include "queues.h"
#endif

OSErr InitIPM(void);
void CloseIPM(void);

OSErr MakeLocalQueue(IPMContextRef *context,IPMQueueRef *queueRef);
OSErr RemoveLocalQueue(IPMContextRef context,OCERecipient *queueRef);
OSErr GetLocalQueueLocation(OCERecipient *queue,StringPtr queueName,char *xtnValue);

OSErr SendIPMMessage(StringPtr message,OCEPackedRecipient *packedQueue);

OSErr GetIPMDestination(OCEPackedRecipient **pmPackedRecipient);
void GetDestAsString(short destNum,StringPtr destStr);
void GetOurMessageType(IPMMsgType *msgType);
void GetOurSender(IPMSender *sender);
OSErr GetIdentity(void);
OSErr GetIdentityAndSaveIt (void);
OSErr GetNewIdentityAndSaveIt (AuthIdentity *theIdentity);

void r2cString(RString *rStr,char *cStr);

pascal void OurIPMNotificationProc(IPMQueueRef pmQ, IPMSeqNum pmSeq, IPMNotificationType noteType, unsigned long userData);
void EnqueueNotification(IPMQueueRef pmQ, IPMSeqNum pmSeq, IPMNotificationType noteType);
void ProcessNotification(MyQElemPtr qBlock);
OSErr ProcessNewMessage(IPMQueueRef pmQ, IPMSeqNum pmSeq);
OSErr BailMessageProcessing(IPMParamBlock *pmBlock,OSErr err);

OSErr GetServerQueue(OCEPackedRecipient **pmPackedRecipient);
OSErr GetSingleAttrForRecipient(OCEPackedRecipient **pmPackedRecipient,
								const OCEAttributeTypeIndex stringIndex);
								
OSErr OpenQueueOnRemoteMachine(StringPtr Qname,OCEPackedRecipient **pmPackedRecipient);
OSErr MyCreateQueue(StringPtr TheQName,OCEPackedRecipient **pmPackedRecipient);
OSErr MyOpenQueue(OCERecipient *RecP);