/*----------------------------------------------------------

AOCE Post Office Protocol (3)
Personal Gateway

written by Steven Falkenburg-- MacDTS
1991-1993 Apple Computer, Inc.

----------------------------------------------------------*/

#pragma once

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __MYTYPES__
#include "mytypes.h"
#endif

OSErr DoGatewayEvent(long messageID,MailEPPCMsg *mailEPPC,short slotID,Boolean inMainEventLoop);

OSErr EnqueueHighLevelEvent(long messageID,MailEPPCMsg *mailEPPC,short slotID);
Boolean DequeueHighLevelEvent(long *messageID,MailEPPCMsg *mailEPPC,short *slotID);
OSErr ProcessQueuedEvents(void);

OSErr CreateSlot(CreationID msamCID,CreationID slotCID);
OSErr ModifySlot(CreationID msamCID,SlotSpec *slot,CreationID slotCID);
OSErr DeleteSlot(CreationID msamCID,SlotSpec *slot);
OSErr ShutDownServer(void);
OSErr MessagePending(SlotSpec *slot);
OSErr ContinueOperation(SlotSpec *slot);
OSErr TimeToCheckForMail(void);
OSErr InQueueUpdate(long seqNum,SlotSpec *slot,Boolean inMainLoop);
OSErr UpdateIncomingQueue(SlotSpec *slot,long seqNum);
OSErr MessageWasOpened(SlotSpec *slot,long seqNum,long msgHint);
OSErr DeleteOutgoingMessage(SlotSpec *slot,long seqNum);
OSErr ChangeLocation(SlotSpec *slot,MailLocationInfo *locationInfo);
OSErr WakeupFromExternalEvent(void);
